// Comparator.sce

//*****************************************************************************
// Programa de evaluación y pruebas aleatorias automatizadas de
// los algoritmos de estimación de orientación para vehículos aéreos.
// Autores: Yuriy Kovalenko, Gilberto Bustamante Balderas, Pedro Huerta Durán
//*****************************************************************************

function [MaxVal,Val]=comparator(MDRes,EstRes)
 [m,n]=size(MDRes)
 Val=zeros(3,m);//norma1; norma2; normInf
 for i=1:m
	dif=MDRes(i,:)-EstRes(i,:)
  Val(1,i)=norm(dif,1)/n;
  Val(2,i)=norm(dif,2)/sqrt(n);
  Val(3,i)=norm(dif,"inf");
 end
 MaxVal=max(Val);
endfunction 
  
function printCompRes(MaxVal,Norms)
 [m,n]=size(Norms)
// printf("Max. Error=%f\n\n",MaxVal);
 disp(Norms,"Norms")
 for i=1:m
  printf("column=%i, norma1=%f, norma2=%f, normInf=%f\n",i,Norms(1,i),...
              Norms(2,i),Norms(3,i));
 end
endfunction

