// FigAndFiles.sce

//*****************************************************************************
// Programa de evaluación y pruebas aleatorias automatizadas de
// los algoritmos de estimación de orientación para vehículos aéreos.
// Autores: Yuriy Kovalenko, Gilberto Bustamante Balderas, Pedro Huerta Durán
//*****************************************************************************

DMResultFile="DMResult.dat";
SensResFile="SensResult.dat";
StateEstFile="StateEstResult.dat";

DMFileHeader="Time  pn  pe  pd  u  v  w  phi  theta  psi  p  q  r";
SenFileHeader="Time  accX  accY  accZ  gyroX  gyroY  gyroZ  PressAbs" ..
   +"  PressDiff  GPS.X  GPS.Y  GPS.Z";

WTitles=[...
 "Dynamic model result. Window 1/2";...
 "Dynamic model result. Window 2/2";...
 "Sensors simulation results. Window 1/2";...
 "Sensors simulation results. Window 2/2";...
 "State estimation. Window 1/2";...
 "State estimation. Window 2/2"];

subWtitles=[
  "north position";...
  "east position";...
  "down position";...
  "velocity along x";...
  "velocity along y";...
  "velocity along z";...
  "roll angle";...
  "pitch angle";...
  "yaw angle";...
  "roll rate";...
  "pitch rate";...
  "yaw rate";...
  "Acceleration along body x-axis";...
  "Acceleration along body y-axis";...
  "Acceleration along body z-axis";...
  "Gyro-X, roll rate";...
  "Gyro-Y, pitch rate";...
  "Gyro-Z, yaw rate";...
  "Abs. pressure sensor";...
  "Diff. pressure sensor";...
  "GPS. X position";...
  "GPS. Y position";...
  "GPS. Z position"];

function Save2File(Result,ResultFileName,FileHeader)
 csvWrite(Result,ResultFileName,ascii(9),".","%.7f",FileHeader);
endfunction

function Graph(wNum,wTitle,subWTitle,data)
	 figure(wNum);
  fig=gcf();
//  fig.figure_position=[0,0]
  fig.figure_size=[800,600]
  fig.figure_name=wTitle
  fig.background=8
  [m,n]=size(subWTitle);
  for i=1:m
   subplot(2,3,i);
   ax=gca()//get the handle of current axes
//   ax.title.font_size=7;//TitleFontSize;
   ax.font_size=3; //set the tics label font size
   xgrid();
   title(subWTitle(i),"fontsize",4);
   plot(data(1,:),data(i+1,:),"thickness",2);
   xlabel("t[s]","fontsize",4);
  end
endfunction


