// TestParam.sce

//*****************************************************************************
// Programa de evaluación y pruebas aleatorias automatizadas de
// los algoritmos de estimación de orientación para vehículos aéreos.
// Autores: Yuriy Kovalenko, Gilberto Bustamante Balderas, Pedro Huerta Durán
//*****************************************************************************

// initial conditions boundaries
//[LBound, RBound
xBound=[0, 0;   // pn0 - North position
	     0, 0;   // pe0 - East position
        0, 0;   // pd0 - Down position (negative altitude)
        0, 100; // u0 - velocity along body x-axis
        0, 100; // v0 - velocity along body y-axis
        0, 100; // w0 - velocity along body z-axis
     -0.7, 0.7; // phi0 - roll angle
     -0.7, 0.7; // theta0 - pitch angle
     -0.7, 0.7; // psi0 - yaw angle
     -0.7, 0.7; // p0 - body frame roll rate
     -0.7, 0.7; // q0 - body frame pitch rate
     -0.7, 0.7]; // r0 - body frame yaw rate

// UAV controls boundaries
deltaBound=[-2, 2; //delta_e= Control signal, elevator deflection 
            -2, 2; // delta_a= Control signal, aileron deflection 
            -2, 2; // delta_r= Control signal, rudder deflection 
             0, 1]; //delta_t= Control signal, throttle deflection
deltaBound(1:3,1:2)=deltaBound(1:3,1:2)*%pi/180;          
